
PHPCR - Bug # 49

Status: Closed Priority: Must have
Author: Robert Lemke Category:
Created: 2007-04-04 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Subject: Fix comments and clean up code in phpCR tests
Description

Most of the comments in the phpCR_* tests still have HTML code or are just taken from the Jackrabbit tests ("Accessing jcr:uuid ....
caused an ValueFormatException" should be "... phpCRValueFormatException").

In general, the code layout is not completely clean (which we should strive for) and the code smells a bit like too many comments.

If you use comments, please add an extra tab before the "//" sign so they are indented above the code line they comment.

History
#1 - 2008-01-08 12:47 - Karsten Dambekalns
- Status changed from New to Accepted

Those tests are currently not used, the tests for the actual CR implementation are in the TYPO3CR package. They are still in SVN for reference use
but will be cleaned up eventually...

#2 - 2008-01-10 19:07 - Karsten Dambekalns

Some additions from #83:

    -  test case class names don't comply with the naming rules: phpCR_SomeTest instead of T3_phpCR_SomeTest
    -  @package annotations are mostly wrong, referring to phpCRJackrabbit
    -  some test methods are static
    -  some methods are not documented / lack doc comments

In general, some tests look more like functional tests than like unit tests - but I might be wrong with that.

#3 - 2008-05-27 12:59 - Karsten Dambekalns
- Status changed from Accepted to Closed
- Estimated time set to 0.00

The tests have been removed from the package completely (pure interfaces are not suited for unit testing).

#4 - 2008-07-01 17:26 - Robert Lemke
- Target version deleted (1)
